
QGIS Application - Bug report #17108

Project with CRS set to 'No projection (or unknown/non-Earth projection)' throws exception with 

North Arrow

2017-09-06 11:16 AM - Richard Duivenvoorde

Status: Closed

Priority: High

Assignee:

Category: Decorations

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25007

Description

Having an older project, and opening it in QGIS it got a 'No projection (or unknown/non-Earth projection)' crs.

Trying to add a North Arrow throws an exception then, telling me "Could not create transform to calculate true north".

Easy reproducable (in master) by opening a new project.

Going to project crs properties and selecting checking 'No projection (or unknown/non-Earth projection)'.

Adding a North Arrow now (without any data) throws exception (see screendump).

After the exception there is a proces going on (looking at the progressbar in the screendump)

Related issues:

Duplicates QGIS Application - Bug report # 16874: Error "Could not create tra... Closed 2017-07-16

History

#1 - 2017-09-06 11:17 AM - Richard Duivenvoorde

- Description updated

#2 - 2017-09-08 11:03 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Category changed from Map Canvas to Decorations

- Priority changed from Normal to High

#3 - 2017-09-11 03:33 PM - Patrick Dunford

You need to reassign the CRS for the project manually. The CRS may not be imported from older project files in later masters.

#4 - 2017-09-11 03:38 PM - Patrick Dunford

duplicate 16874

#5 - 2017-11-10 08:48 AM - Alexander Bruy

- Duplicates Bug report #16874: Error "Could not create transform to calculate true north" when a north arrow decoration displayed in the map editor 

added

#6 - 2017-11-10 08:49 AM - Alexander Bruy

- Resolution set to duplicate
- Status changed from Open to Closed
